# tcp_pcb Struct Reference

`#include <tcp.h>`

## Data Fields

tcp_pcb * | next
enum tcp_state | state
void * | callback_arg
err_t(* | accept )(void *arg, struct tcp_pcb *newpcb, err_t err)
ip_addr | local_ip
uInt16 | local_port
ip_addr | remote_ip
uInt16 | remote_port
uInt32 | rcv_nxt
uInt16 | rcv_wnd
uInt16 | tmr
uInt8 | rtime
uInt16 | mss
uInt8 | flags
uInt16 | rttest
uInt32 | rtseq
Int32 | sa
Int32 | sv
uInt16 | rto
uInt8 | nrtx
uInt32 | lastack
uInt8 | dupacks
uInt16 | cwnd
uInt16 | ssthresh
uInt32 | snd_nxt
uInt32 | snd_max
uInt32 | snd_wnd
uInt32 | snd_wl1
uInt32 | snd_wl2
uInt32 | snd_lbb
uInt16 | snd_buf
uInt8 | snd_queuelen
err_t(* | sent )(void *arg, struct tcp_pcb *pcb, uInt16 space)
uInt16 | acked
err_t(* | recv )(void *arg, struct tcp_pcb *pcb, struct pbuf *p, err_t err)
pbuf * | recv_data
err_t(* | connected )(void *arg, struct tcp_pcb *pcb, err_t err)
err_t(* | poll )(void *arg, struct tcp_pcb *pcb)
void(* | errf )(void *arg, err_t err)
uInt8 | polltmr
uInt8 | pollinterval
tcp_seg * | unsent
tcp_seg * | unacked

## Field Documentation

err_t(* tcp_pcb::accept)(void *arg, struct tcp_pcb *newpcb, err_t err)

uInt16 tcp_pcb::acked

void* tcp_pcb::callback_arg

err_t(* tcp_pcb::connected)(void *arg, struct tcp_pcb *pcb, err_t err)

uInt16 tcp_pcb::cwnd

uInt8 tcp_pcb::dupacks

void(* tcp_pcb::errf)(void *arg, err_t err)

uInt8 tcp_pcb::flags

uInt32 tcp_pcb::lastack

struct ip_addr tcp_pcb::local_ip

uInt16 tcp_pcb::local_port

uInt16 tcp_pcb::mss

struct tcp_pcb* tcp_pcb::next

uInt8 tcp_pcb::nrtx

err_t(* tcp_pcb::poll)(void *arg, struct tcp_pcb *pcb)

uInt8 tcp_pcb::pollinterval

uInt8 tcp_pcb::polltmr

uInt32 tcp_pcb::rcv_nxt

uInt16 tcp_pcb::rcv_wnd

err_t(* tcp_pcb::recv)(void *arg, struct tcp_pcb *pcb, struct pbuf *p, err_t err)

struct pbuf* tcp_pcb::recv_data

struct ip_addr tcp_pcb::remote_ip

uInt16 tcp_pcb::remote_port

uInt8 tcp_pcb::rtime

uInt16 tcp_pcb::rto

uInt32 tcp_pcb::rtseq

uInt16 tcp_pcb::rttest

Int32 tcp_pcb::sa

err_t(* tcp_pcb::sent)(void *arg, struct tcp_pcb *pcb, uInt16 space)

uInt16 tcp_pcb::snd_buf

uInt32 tcp_pcb::snd_lbb

uInt32 tcp_pcb::snd_max

uInt32 tcp_pcb::snd_nxt

uInt8 tcp_pcb::snd_queuelen

uInt32 tcp_pcb::snd_wl1

uInt32 tcp_pcb::snd_wl2

uInt32 tcp_pcb::snd_wnd

uInt16 tcp_pcb::ssthresh

enum tcp_state tcp_pcb::state

Int32 tcp_pcb::sv

uInt16 tcp_pcb::tmr

struct tcp_seg* tcp_pcb::unacked

struct tcp_seg* tcp_pcb::unsent

The documentation for this struct was generated from the following file:

- tcp.h